{% extends 'base.html' %}
{% load bootstrap %}

{% block menu %}
    <ul class="nav nav-tabs">
        <li class="nav-item">
            <a class="nav-link" href="{% url 'home' %}">Home</a>
        </li>
        <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle active" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Services</a>
            <div class="dropdown-menu">
                <a class="dropdown-item active" href="{% url 'core_list_people' %}">People</a>
                <a class="dropdown-item" href="{% url 'core_list_vehicles' %}">Vehicles</a>
                <a class="dropdown-item" href="{% url 'core_list_movdaily' %}">Rotation</a>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="{% url 'core_list_monthly' %}">Monthly</a>
            </div>
        </li>

        {% if user.is_authenticated %}
        <li class="nav-item">
            <a class="nav-link disabled">Hello, {{ user}}</a>
        </li>

        <li class="nav-item">
            <a class="nav-link" href="{% url 'logout' %}">Logout</a>
        </li>

        {% else %}
        <li class="nav-item">
            <a class="nav-link" href="{% url 'login' %}">Login</a>
        </li>
        {% endif %}
    </ul>
{% endblock %}

{% block main %}
<div class="row">
    <div class="col">
		<h2>List People</h2>

        <table class="table">
            <thead class="thead-dark">
                <tr>
                    <th scope="col">ID</th>
                    <th scope="col">Name</th>
                    <th scope="col">Address</th>
                    <th scope="col">Phone</th>
                </tr>
            </thead>

            <tbody>
                {% for person in people %}
                <tr>
                    <th scope="row">{{ person.id }}</th>
                    <th scope="row">{{ person.name }}</th>
                    <th scope="row">{{ person.address }}</th>
                    <th scope="row">{{ person.phone }}</th>
                </tr>
                {% endfor %}
            </tbody>
        </table>

		<form action="{% url 'core_new_person' %}" method="POST">
			{% csrf_token %}

			{{ form|bootstrap_horizontal:'col-lg-6' }}

			<button type="submit" class="btn btn-primary">Submit</button>
		</form>
    </div>
</div>
{% endblock %}